Bug 3855

Summary: Xvfb: valgrind complaint - miDCPutBits()
Product: xorg Reporter: Stuart Anderson <anderson>
Component: Server/DDX/XorgAssignee: Xorg Project Team <xorg-team>
Status: RESOLVED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: high CC: astrand
Version: git   
Hardware: Other   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description Stuart Anderson 2005-07-24 04:26:00 UTC
==9644== Conditional jump or move depends on uninitialised value(s) 
==9644==    at 0x80D8CD8: miDCPutBits 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80D8FBD: miDCPutUpCursor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80DF6C8: miSpriteRestoreCursor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80D8062: miPointerUpdate 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80D7CFA: miPointerDisplayCursor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80E9FD1: CursorDisplayCursor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x8157613: AnimCurDisplayCursor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80779C8: DefineInitialRootWindow 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9644==    by 0x80592C3: main (in /usr/src/xorg/xc/programs/Xserver/Xvfb)
Comment 1 Daniel Stone 2007-02-27 01:27:25 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Adam Jackson 2014-04-08 13:15:08 UTC
Fixed.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.